Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Class DefaultBuildStrategyManager

    java.lang.Object
      com.atlassian.bamboo.build.strategy.DefaultBuildStrategyManager

All Implemented Interfaces:
  BuildStrategyManager

    public class DefaultBuildStrategyManager

extends Object
implements BuildStrategyManager

Field Summary

Fields inherited from interface com.atlassian.bamboo.build.strategy.BuildStrategyManager
`BUILD_STRATEGY_DAILY, BUILD_STRATEGY_MANUAL, BUILD_STRATEGY_POLLING, BUILD_STRATEGY_SCHEDULED, BUILD_STRATEGY_TRIGGERED`

Constructor Summary
`DefaultBuildStrategyManager()`

Method Summary
`protected void` | `autowireBuildStrategy(BuildStrategy buildStrategy)`
`List` | `getBuildStrategies()` Retuns a list of available `BuildStrategy` objects
`BuildStrategy` | `getNewBuildStrategyInstance(String key)` Takes in a BuildStrategy key a creates a new `BuildStrategy` for that key.
`void` | `setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBuildStrategyManager

    public DefaultBuildStrategyManager()

Method Detail

### getNewBuildStrategyInstance

    public BuildStrategy getNewBuildStrategyInstance(String key)

  Description copied from interface: `BuildStrategyManager`
  Takes in a BuildStrategy key a creates a new `BuildStrategy` for that key. Will default to a manual build if the key is invalid

  Specified by:
    `getNewBuildStrategyInstance` in interface `BuildStrategyManager`
  Parameters:
    `key` - - Cann be null
  Returns:
    `BuildStrategy` matching the key. Can be null. Will return default `BuildStrategy` if invalid

### autowireBuildStrategy

    protected void autowireBuildStrategy(BuildStrategy buildStrategy)

### getBuildStrategies

    public List getBuildStrategies()

  Description copied from interface: `BuildStrategyManager`
  Retuns a list of available `BuildStrategy` objects

  Specified by:
    `getBuildStrategies` in interface `BuildStrategyManager`
  Returns:
    Immutable list of `BuildStrategy`. Empty list if none exists.

### setAdministrationConfiguration

    public void setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.